Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Email receiving Estimated time: 0.00 hour

Target version: 4.1.0   

Resolution: Fixed Affected version:  

Description

You sometimes see unexpected pre blocks if you create an issue by sending an HTML email. Please see the example below.

[Input]

<div>foo</div>

<p>

  bar

</p>

 [Expected]

 expected-result@2x.png 

[Actual]

 actual-result@2x.png 

This can be fixed by stripping preceding whitespaces from each line in the HTML.

diff --git a/lib/redmine/wiki_formatting/html_parser.rb b/lib/redmine/wiki_formatting/html_parser.

rb

index 62445ff3b..b3b45f590 100644

--- a/lib/redmine/wiki_formatting/html_parser.rb

+++ b/lib/redmine/wiki_formatting/html_parser.rb

@@ -30,7 +30,7 @@ module Redmine

       }

       def self.to_text(html)

-        html = html.gsub(/[\n\r]/, '').squeeze(' ')

+        html = html.gsub(/^\s+/, '').tr("\n\r", '').squeeze(' ')

         doc = Loofah.document(html)

         doc.scrub!(WikiTags.new(tags))

Related issues:

Blocks Redmine - Feature #31231: Better handling of HTML tables when creating... Closed

Associated revisions

Revision 18268 - 2019-06-20 08:38 - Jean-Philippe Lang

Text may unexpectedly be enclosed in pre tags when an issue is created via HTML email (#31232).

Patch by Go MAEDA.

History

#1 - 2019-04-20 11:36 - Go MAEDA

- File fix-31232.patch added

Here is a patch with test code.

#2 - 2019-04-20 11:50 - Go MAEDA

2025-05-01 1/2



- Blocks Feature #31231: Better handling of HTML tables when creating an issue from an email added

#3 - 2019-04-21 04:17 - Go MAEDA

- File fix-31232-v2.patch added

- Subject changed from Some text is unexpectedly enclosed in pre tags when creating an issue via HTML email to Text may be unexpectedly enclosed

in pre tags when an issue is created via HTML email

Fixed some issues in the patch.

#4 - 2019-04-21 15:51 - Go MAEDA

- File fix-31232-v3.patch added

#5 - 2019-04-21 15:54 - Go MAEDA

- Subject changed from Text may be unexpectedly enclosed in pre tags when an issue is created via HTML email to Text may unexpectedly be

enclosed in pre tags when an issue is created via HTML email

- Target version changed from Candidate for next major release to 4.1.0

#6 - 2019-06-20 08:38 - Jean-Philippe Lang

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Committed, thanks.
